docker-api

Binding to the Docker Remote API
README

This library provides an OCaml client for
Docker Remote API,
version 1.29.
This library is tested with the
community edition
of Docker.

Note that the OPAM and ocamlfind packages are called docker-api (to
distinguish them from other packages related to Docker) but the OCaml
module is named Docker (because the code reads better with that name
IMHO).

Compilation & installation

The easier way to install this library is to use
OPAM. Just type:

opam install docker-api

This library depends on Dune (to
compile) and Yojson.

To compile as a developer, just type make and then make install to
install it.

Documentation

Please read the interface or the
HTML version.

Testing

If you compile using make, the tests will be built. In order to run
them, make sure that the latest Debian image is installed — if not,
simply issue docker pull debian:latest in a shell — and issue make test.

Install
Published
03 Jun 2022
Sources
docker-api-0.2.2.tbz
sha256=9a64eced74f6ed217973043beec70f20a492a63b395df141ae03f75d3655dced
sha512=603f0abc76e42701bdb0926bc6b9c5358ba1bd58bce5c534296671db0c2497ee0d7e75752700f5c5662ccc480d393772a81a342c1aa3e331fa308e0eb60105be
Dependencies
odoc
with-doc
yojson
>= "1.6.0"
ocaml
>= "4.03"
dune
>= "2.8"
Reverse Dependencies